Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class XDIService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.XDIService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class XDIService

extends Service

This is an XDI Service.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SERVICE_PATH`
`static java.lang.String` | `SERVICE_TYPE`

Constructor Summary
`XDIService(Ref xdiRef)`
`XDIService(Ref[] xdiRefs)`
`XDIService(Ref[] xdiRefs, java.lang.String providerID)` Constructs a new XDI Service endpoint for use in an authority.
`XDIService(Ref xdiRef, java.lang.String providerID)`
`XDIService(java.net.URI uri)`
`XDIService(java.net.URI[] uris)`
`XDIService(java.net.URI[] uris, java.lang.String providerID)` Constructs a new XDI Service endpoint for use in an authority.
`XDIService(java.net.URI uri, java.lang.String providerID)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### SERVICE_PATH

    public static final java.lang.String SERVICE_PATH

See Also:
  Constant Field Values

Constructor Detail

### XDIService

    public XDIService(java.net.URI[] uris,
                      java.lang.String providerID)

  Constructs a new XDI Service endpoint for use in an authority.

  Parameters:
    `providerID` - - The global i-number of the provider of this service.

### XDIService

    public XDIService(java.net.URI uri,
                      java.lang.String providerID)

### XDIService

    public XDIService(java.net.URI[] uris)

### XDIService

    public XDIService(java.net.URI uri)

### XDIService

    public XDIService(Ref[] xdiRefs,
                      java.lang.String providerID)

  Constructs a new XDI Service endpoint for use in an authority.

  Parameters:
    `providerID` - - The global i-number of the provider of this service.

### XDIService

    public XDIService(Ref xdiRef,
                      java.lang.String providerID)

### XDIService

    public XDIService(Ref[] xdiRefs)

### XDIService

    public XDIService(Ref xdiRef)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.